Adjustment¶
Adjustment - Get Adjustment Setting¶
HTTP Request
GET /api/lease/{leaseId}/payment-setting
📋 Description: Retrieves the payment settings associated with a specific lease, providing essential information for managing financial obligations within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
leaseId |
path |
integer(int64) |
true |
Unique identifier for the lease |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "paymentTermLabels": [
10 "string"
11 ],
12 "adjustmentFrom": "2019-08-24",
13 "adjustmentTo": "2019-08-24",
14 "adjustmentTermDefinitions": [
15 {
16 "adjustmentTermDefinitionId": 0,
17 "referenceTermDefinitionId": 0
18 }
19 ]
20}
Adjustment - Edit Adjustment Setting¶
HTTP Request
PUT /api/lease/{leaseId}/payment-setting
📋 Description: Updates the payment settings for a specified lease within the Nakisa Portfolio Management Suite, enabling users to manage financial arrangements related to real estate assets effectively.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
leaseId |
path |
integer(int64) |
true |
Unique identifier for the lease |
body |
body |
true |
Request body containing the payment settings data for a specified lease, including configuration details essential for managing financial transactions within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "paymentTermLabels": [
10 "string"
11 ],
12 "adjustmentFrom": "2019-08-24",
13 "adjustmentTo": "2019-08-24",
14 "adjustmentTermDefinitions": [
15 {
16 "adjustmentTermDefinitionId": 0,
17 "referenceTermDefinitionId": 0
18 }
19 ]
20}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "paymentTermLabels": [
10 "string"
11 ],
12 "adjustmentFrom": "2019-08-24",
13 "adjustmentTo": "2019-08-24",
14 "adjustmentTermDefinitions": [
15 {
16 "adjustmentTermDefinitionId": 0,
17 "referenceTermDefinitionId": 0
18 }
19 ]
20}
Adjustment - Add Term Definitions To Settings¶
HTTP Request
PUT /api/lease/{leaseId}/payment-setting/term-definition-ids
📋 Description: Updates the payment setting term definition IDs for a specified lease within the Nakisa Portfolio Management Suite, enabling enhanced management of portfolio and asset financial analytics in real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
leaseId |
path |
integer(int64) |
true |
Unique identifier for the lease |
body |
body |
true |
Request body containing the updated term definition IDs for payment settings associated with a specific lease, facilitating accurate financial analytics within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 {
3 "adjustmentTermDefinitionId": 0,
4 "referenceTermDefinitionId": 0
5 }
6]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "paymentTermLabels": [
10 "string"
11 ],
12 "adjustmentFrom": "2019-08-24",
13 "adjustmentTo": "2019-08-24",
14 "adjustmentTermDefinitions": [
15 {
16 "adjustmentTermDefinitionId": 0,
17 "referenceTermDefinitionId": 0
18 }
19 ]
20}
Adjustment - Get Adjustment Setting Term Definitions¶
HTTP Request
POST /api/lease/{leaseId}/payment-setting/term-definition-list
📋 Description: Creates or updates the payment setting term definitions for a specified lease, enabling enhanced management of financial terms within the Nakisa Portfolio Management Suite’s real estate asset portfolio.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
leaseId |
path |
integer(int64) |
true |
Unique identifier for the lease |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "paymentFrequencyName": "string",
11 "amountFrequencyName": "string",
12 "paymentModeName": "string",
13 "expenseCategoryId": 0,
14 "currencyId": 0,
15 "startDate": "2019-08-24",
16 "endDate": "2019-08-24",
17 "firstPaymentDate": "2019-08-24",
18 "endOfMonthPayment": true,
19 "proRata": true,
20 "note": "string",
21 "areaId": 0,
22 "parentTermDefinitionId": 0,
23 "expenseCategory": {
24 "id": 0,
25 "status": "CREATED",
26 "displayId": "string",
27 "name": "string",
28 "editable": true,
29 "expenseCategoryType": "PAYMENT"
30 },
31 "currency": {
32 "id": 0,
33 "status": "CREATED",
34 "displayId": "string",
35 "erpSystemId": 0,
36 "erpSystemDisplayId": "string",
37 "name": "string",
38 "decimalPoints": 0,
39 "depreciationAreaId": 0
40 },
41 "expenseGroup": {
42 "createdBy": "string",
43 "lastModifiedBy": "string",
44 "createdDate": "2019-08-24T14:15:22Z",
45 "lastModifiedDate": "2019-08-24T14:15:22Z",
46 "archived": true,
47 "externalId": "string",
48 "id": 0,
49 "priority": 0,
50 "internalId": 0,
51 "pickListCode": "string",
52 "pickListLabel": "string",
53 "label": "string",
54 "cultureId": 0,
55 "labelDtos": [
56 {
57 "createdBy": "string",
58 "lastModifiedBy": "string",
59 "createdDate": "2019-08-24T14:15:22Z",
60 "lastModifiedDate": "2019-08-24T14:15:22Z",
61 "archived": true,
62 "externalId": "string",
63 "id": 0,
64 "cultureId": 0,
65 "value": "string"
66 }
67 ]
68 },
69 "costCenterId": 0,
70 "leaseComponentId": 0,
71 "leaseComponentName": "string",
72 "assignmentNumber": {
73 "createdBy": "string",
74 "lastModifiedBy": "string",
75 "createdDate": "2019-08-24T14:15:22Z",
76 "lastModifiedDate": "2019-08-24T14:15:22Z",
77 "archived": true,
78 "externalId": "string",
79 "id": 0,
80 "priority": 0,
81 "internalId": 0,
82 "pickListCode": "string",
83 "pickListLabel": "string",
84 "label": "string",
85 "cultureId": 0,
86 "labelDtos": [
87 {
88 "createdBy": "string",
89 "lastModifiedBy": "string",
90 "createdDate": "2019-08-24T14:15:22Z",
91 "lastModifiedDate": "2019-08-24T14:15:22Z",
92 "archived": true,
93 "externalId": "string",
94 "id": 0,
95 "cultureId": 0,
96 "value": "string"
97 }
98 ]
99 },
100 "assignmentNumberId": 0,
101 "isAdjustmentTerm": true
102 }
103]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the definition of a term within the Nakisa Portfolio Management Suite, providing essential context for portfolio, asset, analytics, and real estate property management.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» paymentFrequencyName |
string |
true |
none |
Name of the payment frequency |
» amountFrequencyName |
string |
true |
none |
Name of the amount frequency |
» paymentModeName |
string |
false |
none |
Name of the payment mode |
» expenseCategoryId |
integer(int64) |
true |
none |
Unique identifier for the expense category |
» currencyId |
integer(int64) |
false |
none |
Unique identifier for the currency |
» startDate |
string(date) |
true |
none |
Start date of the resource |
» endDate |
string(date) |
true |
none |
End date of the resource |
» firstPaymentDate |
string(date) |
true |
none |
Date of the first payment |
» endOfMonthPayment |
boolean |
true |
none |
Boolean flag indicating endOfMonthPayment status |
» proRata |
boolean |
false |
none |
Boolean flag indicating proRata status |
» note |
string |
false |
none |
Textual description or commentary related to the term definition, providing additional context for portfolio, asset, analytics, or real estate property management. |
» areaId |
integer(int64) |
false |
none |
Unique identifier for the area |
» parentTermDefinitionId |
integer(int64) |
false |
none |
Unique identifier for the parent term definition |
» expenseCategory |
false |
none |
Data transfer object representing an expense category within the Nakisa Portfolio Management Suite, facilitating the organization and analysis of financial data related to portfolio, asset, and real estate property management. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» status |
string |
false |
none |
Status of the resource |
»» displayId |
string |
true |
none |
Unique identifier for the display |
»» name |
string |
true |
none |
Name of the resource |
»» editable |
boolean |
true |
none |
Boolean flag indicating editable status |
»» expenseCategoryType |
string |
true |
none |
Type of the expense category |
» currency |
false |
none |
Data transfer object representing currency details utilized within the Nakisa Portfolio Management Suite, facilitating accurate financial analysis and reporting for portfolio, asset, and real estate property management. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» status |
string |
false |
none |
Status of the resource |
»» displayId |
string |
true |
none |
Unique identifier for the display |
»» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»» name |
string |
false |
none |
Name of the resource |
»» decimalPoints |
integer(int32) |
true |
none |
Numeric value representing decimalPoints |
»» depreciationAreaId |
integer(int64) |
false |
none |
Unique identifier for the depreciation area |
» expenseGroup |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
»» createdBy |
string |
false |
none |
Username of who created this resource |
»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»» externalId |
string |
false |
none |
Unique identifier for the external |
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» priority |
integer(int64) |
false |
none |
Priority of the resource |
»» internalId |
integer(int64) |
false |
none |
Unique identifier for the internal |
»» pickListCode |
string |
false |
none |
Code for the pick list |
»» pickListLabel |
string |
false |
none |
Label for the pick list |
»» label |
string |
false |
none |
Label for the resource |
»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»» labelDtos |
false |
none |
List of labelDtos items |
|
»»» createdBy |
string |
false |
none |
Username of who created this resource |
»»» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
»»» createdDate |
string(date-time) |
false |
none |
Date of the created |
»»» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
»»» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
»»» externalId |
string |
false |
none |
Unique identifier for the external |
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» cultureId |
integer(int64) |
false |
none |
Unique identifier for the culture |
»»» value |
string |
true |
none |
Represents the descriptive value associated with a portfolio asset, facilitating analytics and insights within the Nakisa Portfolio Management Suite. |
» costCenterId |
integer(int64) |
false |
none |
Unique identifier for the cost center |
» leaseComponentId |
integer(int64) |
false |
none |
Unique identifier for the lease component |
» leaseComponentName |
string |
false |
none |
Name of the lease component |
» assignmentNumber |
false |
none |
Data transfer object representing an option within a pick list, utilized for categorizing and managing portfolio assets and analytics in the Nakisa Portfolio Management Suite, particularly in the context of real estate property management. |
|
» assignmentNumberId |
integer(int64) |
false |
none |
Unique identifier for the assignment number |
» isAdjustmentTerm |
boolean |
false |
none |
none |
Enumerated Values
Attribute |
Value |
|---|---|
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
Adjustment - Generate Payment Adjustments¶
HTTP Request
GET /api/lease/{leaseId}/payment-adjustments
📋 Description: Retrieves payment adjustments associated with a specific lease, enabling users to analyze financial impacts within the Nakisa Portfolio Management Suite for effective portfolio and asset management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
leaseId |
path |
integer(int64) |
true |
Unique identifier for the lease |
adjustmentFrom |
query |
string |
true |
Specifies the starting point for retrieving payment adjustments associated with a particular lease, enabling effective portfolio and asset management within the Nakisa Portfolio Management Suite. |
adjustmentTo |
query |
string |
true |
Specifies the type of adjustment to be applied to the payment for the lease, facilitating accurate financial analytics within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "startDate": "2019-08-24",
5 "endDate": "2019-08-24",
6 "expenseCategoryLabel": "string",
7 "postedSchedulePayment": 0,
8 "newAdjustedPayment": 0,
9 "currencyLabel": "string",
10 "termDefinitionId": 0
11 }
12]
Response Schema
Status Code 200
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing adjustments made to payment transactions within the Nakisa Portfolio Management Suite, facilitating accurate financial analytics and reporting for real estate assets in the portfolio.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» startDate |
string(date) |
false |
none |
Start date of the resource |
» endDate |
string(date) |
false |
none |
End date of the resource |
» expenseCategoryLabel |
string |
false |
none |
Label for the expense category |
» postedSchedulePayment |
number |
false |
none |
Value for postedSchedulePayment field |
» newAdjustedPayment |
number |
false |
none |
Value for newAdjustedPayment field |
» currencyLabel |
string |
false |
none |
Label for the currency |
» termDefinitionId |
integer(int64) |
false |
none |
Unique identifier for the term definition |